Subject: Re: [PATCH 0/2] net: introduce IFF_NO_QUEUE as successor of zero tx_queue_len

From: Jesper Dangaard Brouer <[email-masked]>
Date: Mon, 17 Aug 2015 08:51:21 +0200

On Fri, 14 Aug 2015 10:41:53 +0200 Phil Sutter <[email-masked]> wrote:

> On Thu, Aug 13, 2015 at 12:11:57PM -0700, Stephen Hemminger wrote:
[...]
> > 
> > But adding a flag risks breaking external scripts.
> 
> Could you please elaborate on this? As far as I can tell, introducing a
> separate flag is the only solution *not* breaking existing scripts. So
> if you see the rub, I would like to know where exactly it is.

I agree with Phil.  AFAIC see this approach does not break existing
scripts.

Acked-by: Jesper Dangaard Brouer <[email-masked]>

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Sr. Network Kernel Developer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer